using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.IO;

public partial class Admin_SheZhi_XianShiSheZhi : System.Web.UI.Page
{
    private 访问 访问;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("更改显示设置", "网站后台", "更改显示设置", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }
    private void ZhiXing()
    {
        访问.验证管理员();

        if (this.IsPostBack)
            保存设置();
        else
            设置();
    }
    private void 设置()
    {
        YiYeXianShiJiLuShu.Text = Convert.ToString(程序.设置["显示设置_一页显示记录数"]);
        YiYeXianShiWenZiShu.Text = Convert.ToString(程序.设置["显示设置_一页显示文字数"]);
        YiYeXianShiTuPianShu.Text = Convert.ToString(程序.设置["显示设置_一页显示图片数"]);
        YiYeXianShiWenJianShu.Text = Convert.ToString(程序.设置["显示设置_一页显示文件数"]);
        YeMianTuPianKuanDu.Text = (程序.设置["显示设置_页面图片宽度"].ToString());
        YeMianTuPianGaoDu.Text = (程序.设置["显示设置_页面图片高度"].ToString());
        TouXiangTuPianKuanDu.Text = (程序.设置["显示设置_会员头像宽度"].ToString());
        TouXiangTuPianGaoDu.Text = (程序.设置["显示设置_会员头像高度"].ToString());
        TuPianYingYong_0.Checked = Convert.ToBoolean(程序.设置["显示设置_图片应用_图片"].ToString());
        TuPianYingYong_1.Checked = Convert.ToBoolean(程序.设置["显示设置_图片应用_软件"].ToString());
        TuPianYingYong_2.Checked = Convert.ToBoolean(程序.设置["显示设置_图片应用_歌手"].ToString());
        TuPianYingYong_3.Checked = Convert.ToBoolean(程序.设置["显示设置_图片应用_专辑"].ToString());
        TuPianYingYong_4.Checked = Convert.ToBoolean(程序.设置["显示设置_图片应用_视频"].ToString());
        TuPianYingYong_5.Checked = Convert.ToBoolean(程序.设置["显示设置_图片应用_贴子"].ToString());
        TuPianYingYong_6.Checked = Convert.ToBoolean(程序.设置["显示设置_图片应用_UBB"].ToString());
    }
    private void 保存设置()
    {
        访问.验证权限("1");
        程序.设置["显示设置_一页显示记录数"] = YiYeXianShiJiLuShu.Text;
        程序.设置["显示设置_一页显示文字数"] = YiYeXianShiWenZiShu.Text;
        程序.设置["显示设置_一页显示图片数"] = YiYeXianShiTuPianShu.Text;
        程序.设置["显示设置_一页显示文件数"] = YiYeXianShiWenJianShu.Text;
        程序.设置["显示设置_页面图片宽度"] = YeMianTuPianKuanDu.Text;
        程序.设置["显示设置_页面图片高度"] = YeMianTuPianGaoDu.Text;
        程序.设置["显示设置_会员头像宽度"] = TouXiangTuPianKuanDu.Text;
        程序.设置["显示设置_会员头像高度"] = TouXiangTuPianGaoDu.Text;
        程序.设置["显示设置_图片应用_图片"] = TuPianYingYong_0.Checked;
        程序.设置["显示设置_图片应用_软件"] = TuPianYingYong_1.Checked;
        程序.设置["显示设置_图片应用_歌手"] = TuPianYingYong_2.Checked;
        程序.设置["显示设置_图片应用_专辑"] = TuPianYingYong_3.Checked;
        程序.设置["显示设置_图片应用_视频"] = TuPianYingYong_4.Checked;
        程序.设置["显示设置_图片应用_贴子"] = TuPianYingYong_5.Checked;
        程序.设置["显示设置_图片应用_UBB"] = TuPianYingYong_6.Checked;

        File.WriteAllText(Server.MapPath("~/Data/XML/SheZhi.xml"), 程序.设置.生成XML(), System.Text.Encoding.UTF8);

        访问统计_管理记录 管理记录 = new 访问统计_管理记录(this.Context, 访问.连接);
        管理记录.记录("更改显示设置", 访问.用户["昵称"].ToString());
    }
}
